---
title: RTCRtpSender.dtmf
slug: Web/API/RTCRtpSender/dtmf
tags:
  - DTMF
  - Media
  - NeedsExample
  - Property
  - RTCRtpSender
  - Read-only
  - Reference
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p>The read-only <strong><code>dtmf</code></strong> property on the <strong>{{domxref("RTCRtpSender")}}</strong> interface returns a {{domxref("RTCDTMFSender")}} object which can be used to send {{Glossary("DTMF")}} tones over the {{domxref("RTCPeerConnection")}} . See <a href="/en-US/docs/Web/API/WebRTC_API/Using_DTMF">Using DTMF</a> for details on how to make use of th<code>e</code> returned <code>RTCDTMFSender</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var dtmfSender = <em>RTCRtpSender</em>.dtmf;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCDTMFSender")}} which can be used to send DTMF over the RTP session, or <code>null</code> if the track being carried by the RTP session or the {{domxref("RTCPeerConnection")}} as a whole doesn't support DTMF.</p>

<div class="note">
<p>Only audio tracks can support DTMF, and typically only one audio track per <code>RTCPeerConnection</code> will have an associated {{domxref("RTCDTMFSender")}}</p>
</div>

<h2 id="Example">Example</h2>

<p>tbd</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtpsender-dtmf", "RTCRtpSender.dtmf")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpSender.dtmf")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Using_DTMF">Using DTMF with WebRTC</a></li>
 <li>{{domxref("RTCPeerConnection")}}</li>
 <li>{{domxref("RTCDTMFSender")}}</li>
 <li>{{domxref("RTCRtpSender")}}</li>
</ul>
